<?php

function fondness_pro_style( $args = array() ) {
	$options = fondness_pro_get_theme_options();
	?>
	<style type="text/css">

		.trail-item a, .trail-item span{
			font-size: 22px;
		}

		<?php if ( $options['single_post_hide_banner'] == true ): ?>
		.page header#masthead,
		.single header#masthead {
			top: 0px !important;

		}
		.page .header-wrapper,
		.single .header-wrapper{
			background-color: #eee;
			padding: 30px;
			margin-top: 100px; 
		}
	<?php endif ?>

	<?php if ( $options['hide_banner'] == true ): ?>
	.archive header#masthead {
		top: 0px !important;

	}
	.archive .header-wrapper{
		background-color: #eee;
		padding: 30px;
		margin-top: 100px; 
	}
<?php endif ?>


<?php if ( !empty($options['theme_head_typography']) ): ?>
	h1, h2, h3, h4, h5, h6 {

		font-family: '<?php echo esc_attr( str_replace("+", " ",  $options['theme_head_typography'])) ?>', sans-serif;
	}
<?php endif ?>
<?php if ( !empty($options['theme_body_typography']) ): ?>
	body {

		font-family: '<?php echo esc_attr( str_replace("+", " ",  $options['theme_body_typography'])) ?>', sans-serif;
	}
<?php endif ?>
<?php if ( !empty($options['theme_site_title_typography']) ): ?>
	.site-title a {

		font-family: '<?php echo esc_attr( str_replace("+", " ",  $options['theme_site_title_typography'])) ?>', sans-serif;
	}
<?php endif ?>
<?php if ( !empty($options['theme_site_description_typography']) ): ?>
	.site-description {

		font-family: '<?php echo esc_attr( str_replace("+", " ",  $options['theme_site_description_typography'])) ?>', sans-serif;
	}
<?php endif ?>
<?php if ( !empty($options['theme_menu_typography']) ): ?>
	.menu-item a {

		font-family: '<?php echo esc_attr( str_replace("+", " ",  $options['theme_menu_typography'])) ?>', sans-serif;
	}
<?php endif ?>
<?php if ( !empty($options['theme_btn_label_typography']) ): ?>
	.btn,
	.more-link a
	{

		font-family: '<?php echo esc_attr( str_replace("+", " ",  $options['theme_btn_label_typography'])) ?>', sans-serif;
	}
<?php endif ?>

<?php if( $options['hide_banner'] == 'true' ) :?>

	.blog .header-wrapper,
	.archive .header-wrapper {
		background-color: #c7c6c6;
		padding: 30px;
		margin-top: 150px;
	}

<?php endif; ?>

<?php if( $options['single_post_hide_banner'] == 'true' ) :?>

	.single .header-wrapper {
		background-color: #c7c6c6;
		padding: 30px;
		margin-top: 150px;
	}

<?php endif; ?>

</style>

<?php }

add_action( 'wp_head', 'fondness_pro_style' );